This is an annotated example for a CEFA script file.  It is
recommended that you not delete this file as it is a brief
reference to all the recognized keywords.

Note that any line in the script not beginning with a keyword,
or a blank line, is treated as a comment.



TITLE         Holzinger's Unpublished Data from Harman (1960)

Use up to 80 characters for a descriptive title.



DATAFILE      Example.inp

The name of the data file need not include the full path, if
CEFA.exe is invoked from the same directory.  Note that quotes
are not necessary even if there are spaces in the path.



DISCFUN       2

The discrepancy function can be: 1 (TGLS), 2 (MWL), 3 (GEO),
4 (GLS), 5 (GLSE), 6 (DIV), 7 (OLS), or 8 (PACE).



DISPMAT       1

The dispersion matrix used in the exploratory factor analysis
can be 1 (correlations) or 2 (covariances).



DATADIST      1
The data distribution can be 1 (multivariate normal) or 2 (arbitrary)



NUMFACT       3

The number of factors extracted.  This should match the number
of columns of any supplied order/target matrices in the data file!



MAXITER       100

The maximum number of iterations for the Newton algorithm in
the exploratory factor analysis step of CEFA.



TYPROT        4

The type of rotation can be 1 (orthogonal), 2 (oblique),
3 (orthogonal followed by another orthogonal), 4 (orthogonal
followed by oblique), or 5 (oblique followed by oblique).



FNAME         TARGET

The rotation criterion name can be: CF-VARIMAX, CF-QUARTIMAX,
CF-FACPARSIM, CF-EQUAMAX, CF-PARSIMAX, MINENT1, INFOMAX, GEOMIN,
CRAWFER, or TARGET. The first five are special cases of CRAWFER.



FPAR1         0

An optional parameter is required for CRAWFER and GEOMIN.



ROWWT1        1

Row weights for rotation can be 1 (no row weights), 2 (Kaiser
weights), or 3 (Cureton-Mulaik weights).



FNAME2        TARGET

If TYPROT is 3 or 4, a second rotation criterion is required.



FPAR2         0

An optional parameter is required for CRAWFER and GEOMIN.



ROWWT2        1

Row weights for rotation can be 1 (no row weights), 2 (Kaiser
weights), or 3 (Cureton-Mulaik weights).



ROTEPS        0.000001

The convergence criterion for the rotation step of CEFA.



RNDSTARTS     0

The number of random starts.  If more than one random start is
specified, no standard errors are computed.



USEORDMAT     1

This can be 1 (sort columns of the rotated factor loading matrix
using the specified order matrix), or 0 (sort columns in descending
order of sums of squares).  The order matrix is provided in the
data file.



ITERINFO      1
This can be 1 (save iteration details) or 0.



NOMIN         0

This can be 1 (find the closest local minimum instead of optimizing
the rotation criterion), or 0.



NOROT         0
This can be 1 (don't do any rotation) in which case many of the
above options can be omitted.



NOSER         0
This can be 1 (no standard errors) in which case some of the
following options can be omitted.



SERMETH       1

This can be 1 (use a bordered information matrix), or 2 (use the
Delta theorem).  The latter option is available for the Swain
family of discrepancy functions, but not OLS or PACE.



TYPDER        1

The derivatives used for computation of standard errors can be
1 (3-point numerical), 2 (5-point numerical), 3 (automatic),
or 4 (analytic).



DEREPS        0.001

The perturbation size for numerical derivatives.



NUMDP         3

Number of decimal places in the output.



STOP

The last keyword in the script file must be STOP.
